<?php
/*
--------------------------------------------------------
·请问你改的有意思吗？是为了展现您的技术还是图这点流量？·
·请问你改的有意思吗？是为了展现您的技术还是图这点流量？·
·请问你改的有意思吗？是为了展现您的技术还是图这点流量？·
--------------------------------------------------------
*/
?>
<?php
	require_once ("inc/config.php");
	if(app_install==0){ header("Location:install/index.php" );	}
	require_once ("inc/conn.php");
    $page = be("all", "page");
    if (!isNum($page)){ $page = 1;} else { $page = intval($page);}
    if ($page < 1){ $page = 1;}
    
    if (app_vodviewtype < 2 || app_vodviewtype == 3){
        attemptCacheFile ("app", "index".$page);
        $template->html = getFileByCache("template_index", root ."template/" . app_templatedir . "/" . app_htmldir . "/index.html");
        $mac["appid"] = 10;
        $mac["page"] = $page;
        $cacheName = "vodindex".$page;
        if (chkCache($cacheName)){
            $template->html = getCache($cacheName);
        }
        else{
            $template->mark();
            $template->vodpagelist();
            $template->pageshow();
            $template->ifEx();
            setCache ($cacheName, $template->html,0);
        }
        setCacheFile ("app", "index".$page, $template->html);
        $template->run();
        echo $template->html;
    }
    else{
        redirect ( $template->getIndexLink() );
    }
    dispseObj();
	if(is_file($_SERVER['DOCUMENT_ROOT'].'/360safe/360webscan.php')){
    require_once($_SERVER['DOCUMENT_ROOT'].'/360safe/360webscan.php');
}
?>